Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.jpdl.el.parser
Interface ELParserConstants

All Known Implementing Classes:
  ELParser, ELParserTokenManager

    public interface ELParserConstants

Field Summary
`static int` | `AND1`
`static int` | `AND2`
`static int` | `BADLY_ESCAPED_STRING_LITERAL`
`static int` | `COLON`
`static int` | `COMMA`
`static int` | `COND`
`static int` | `DEFAULT`
`static int` | `DIGIT`
`static int` | `DIVIDE1`
`static int` | `DIVIDE2`
`static int` | `DOT`
`static int` | `EMPTY`
`static int` | `END_EXPRESSION`
`static int` | `EOF`
`static int` | `EQ1`
`static int` | `EQ2`
`static int` | `EXPONENT`
`static int` | `FALSE`
`static int` | `FLOATING_POINT_LITERAL`
`static int` | `GE1`
`static int` | `GE2`
`static int` | `GT1`
`static int` | `GT2`
`static int` | `IDENTIFIER`
`static int` | `ILLEGAL_CHARACTER`
`static int` | `IMPL_OBJ_START`
`static int` | `IN_EXPRESSION`
`static int` | `INTEGER_LITERAL`
`static int` | `LBRACKET`
`static int` | `LE1`
`static int` | `LE2`
`static int` | `LETTER`
`static int` | `LPAREN`
`static int` | `LT1`
`static int` | `LT2`
`static int` | `MINUS`
`static int` | `MODULUS1`
`static int` | `MODULUS2`
`static int` | `MULTIPLY`
`static int` | `NE1`
`static int` | `NE2`
`static int` | `NON_EXPRESSION_TEXT`
`static int` | `NOT1`
`static int` | `NOT2`
`static int` | `NULL`
`static int` | `OR1`
`static int` | `OR2`
`static int` | `PLUS`
`static int` | `RBRACKET`
`static int` | `RPAREN`
`static int` | `START_EXPRESSION`
`static int` | `STRING_LITERAL`
`static java.lang.String[]` | `tokenImage`
`static int` | `TRUE`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### NON_EXPRESSION_TEXT

    static final int NON_EXPRESSION_TEXT

See Also:
  Constant Field Values

### START_EXPRESSION

    static final int START_EXPRESSION

See Also:
  Constant Field Values

### INTEGER_LITERAL

    static final int INTEGER_LITERAL

See Also:
  Constant Field Values

### FLOATING_POINT_LITERAL

    static final int FLOATING_POINT_LITERAL

See Also:
  Constant Field Values

### EXPONENT

    static final int EXPONENT

See Also:
  Constant Field Values

### STRING_LITERAL

    static final int STRING_LITERAL

See Also:
  Constant Field Values

### BADLY_ESCAPED_STRING_LITERAL

    static final int BADLY_ESCAPED_STRING_LITERAL

See Also:
  Constant Field Values

### TRUE

    static final int TRUE

See Also:
  Constant Field Values

### FALSE

    static final int FALSE

See Also:
  Constant Field Values

### NULL

    static final int NULL

See Also:
  Constant Field Values

### END_EXPRESSION

    static final int END_EXPRESSION

See Also:
  Constant Field Values

### DOT

    static final int DOT

See Also:
  Constant Field Values

### GT1

    static final int GT1

See Also:
  Constant Field Values

### GT2

    static final int GT2

See Also:
  Constant Field Values

### LT1

    static final int LT1

See Also:
  Constant Field Values

### LT2

    static final int LT2

See Also:
  Constant Field Values

### EQ1

    static final int EQ1

See Also:
  Constant Field Values

### EQ2

    static final int EQ2

See Also:
  Constant Field Values

### LE1

    static final int LE1

See Also:
  Constant Field Values

### LE2

    static final int LE2

See Also:
  Constant Field Values

### GE1

    static final int GE1

See Also:
  Constant Field Values

### GE2

    static final int GE2

See Also:
  Constant Field Values

### NE1

    static final int NE1

See Also:
  Constant Field Values

### NE2

    static final int NE2

See Also:
  Constant Field Values

### LPAREN

    static final int LPAREN

See Also:
  Constant Field Values

### RPAREN

    static final int RPAREN

See Also:
  Constant Field Values

### COMMA

    static final int COMMA

See Also:
  Constant Field Values

### COLON

    static final int COLON

See Also:
  Constant Field Values

### LBRACKET

    static final int LBRACKET

See Also:
  Constant Field Values

### RBRACKET

    static final int RBRACKET

See Also:
  Constant Field Values

### PLUS

    static final int PLUS

See Also:
  Constant Field Values

### MINUS

    static final int MINUS

See Also:
  Constant Field Values

### MULTIPLY

    static final int MULTIPLY

See Also:
  Constant Field Values

### DIVIDE1

    static final int DIVIDE1

See Also:
  Constant Field Values

### DIVIDE2

    static final int DIVIDE2

See Also:
  Constant Field Values

### MODULUS1

    static final int MODULUS1

See Also:
  Constant Field Values

### MODULUS2

    static final int MODULUS2

See Also:
  Constant Field Values

### NOT1

    static final int NOT1

See Also:
  Constant Field Values

### NOT2

    static final int NOT2

See Also:
  Constant Field Values

### AND1

    static final int AND1

See Also:
  Constant Field Values

### AND2

    static final int AND2

See Also:
  Constant Field Values

### OR1

    static final int OR1

See Also:
  Constant Field Values

### OR2

    static final int OR2

See Also:
  Constant Field Values

### EMPTY

    static final int EMPTY

See Also:
  Constant Field Values

### COND

    static final int COND

See Also:
  Constant Field Values

### IDENTIFIER

    static final int IDENTIFIER

See Also:
  Constant Field Values

### IMPL_OBJ_START

    static final int IMPL_OBJ_START

See Also:
  Constant Field Values

### LETTER

    static final int LETTER

See Also:
  Constant Field Values

### DIGIT

    static final int DIGIT

See Also:
  Constant Field Values

### ILLEGAL_CHARACTER

    static final int ILLEGAL_CHARACTER

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### IN_EXPRESSION

    static final int IN_EXPRESSION

See Also:
  Constant Field Values

### tokenImage

    static final java.lang.String[] tokenImage

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD